summaryrefslogtreecommitdiffstats
path: root/source/n
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2019-09-10 21:28:36 +0000
committer Eric Hameleers <alien@slackware.com>2019-09-11 08:59:49 +0200
commit5ff08990e972ccd99e36e94e44746710b95adba4 (patch)
tree04a09ed3f52ba082354d61ba078cc9f12d3444ae /source/n
parentf58aff2430624d43f64162ea66101f0ed804755f (diff)
downloadcurrent-5ff08990e972ccd99e36e94e44746710b95adba4.tar.gz
current-5ff08990e972ccd99e36e94e44746710b95adba4.tar.xz
Tue Sep 10 21:28:36 UTC 201920190910212836
a/glibc-solibs-2.30-x86_64-1.txz: Upgraded. a/kernel-firmware-20190909_6c6918a-noarch-1.txz: Upgraded. a/kernel-generic-4.19.72-x86_64-1.txz: Upgraded. a/kernel-huge-4.19.72-x86_64-1.txz: Upgraded. a/kernel-modules-4.19.72-x86_64-1.txz: Upgraded. d/kernel-headers-4.19.72-x86-1.txz: Upgraded. k/kernel-source-4.19.72-noarch-1.txz: Upgraded. l/gdk-pixbuf2-2.38.2-x86_64-1.txz: Upgraded. l/glibc-2.30-x86_64-1.txz: Upgraded. l/glibc-i18n-2.30-x86_64-1.txz: Upgraded. l/glibc-profile-2.30-x86_64-1.txz: Upgraded. n/libmilter-8.15.2-x86_64-3.txz: Rebuilt. Use gethostbyname2() since RES_USE_INET6 is removed in glibc-2.30. n/libqmi-1.22.6-x86_64-1.txz: Upgraded. n/postfix-3.4.6-x86_64-2.txz: Rebuilt. Patched to fix removed macros in glibc-2.30. n/yptools-2.14-x86_64-12.txz: Rebuilt. Patched ypbind-mt for gettid() included in glibc-2.30. xap/blackbox-0.75-x86_64-1.txz: Upgraded. isolinux/initrd.img: Rebuilt. kernels/*: Upgraded. usb-and-pxe-installers/usbboot.img: Rebuilt.
Diffstat (limited to 'source/n')
-rw-r--r--source/n/FTBFSlog3
-rwxr-xr-xsource/n/libmilter/libmilter.SlackBuild4
-rw-r--r--source/n/libmilter/sendmail-8.15.2-gethostbyname2.patch39
-rw-r--r--source/n/libmilter/site.config.m43
-rwxr-xr-xsource/n/nn/nn.SlackBuild1
-rw-r--r--source/n/nn/nn.glibc-2.30.diff15
-rwxr-xr-xsource/n/postfix/postfix.SlackBuild5
-rw-r--r--source/n/postfix/postfix.res-macros-fix.patch21
-rw-r--r--source/n/yptools/ypbind-mt.gettid.diff22
-rwxr-xr-xsource/n/yptools/yptools.SlackBuild11
10 files changed, 116 insertions, 8 deletions
diff --git a/source/n/FTBFSlog b/source/n/FTBFSlog
index 1929a4f3b..8aa6243ae 100644
--- a/source/n/FTBFSlog
+++ b/source/n/FTBFSlog
@@ -1,3 +1,6 @@
+Tue Sep 10 17:59:49 UTC 2019
+ nn: patch to fix breakage from removal of stropts.h in glibc-2.30.
++--------------------------+
Sat Apr 13 19:02:01 UTC 2019
libgpg-error: 'namespace' is a builtin in gawk5, so change it to
'libgpg_error_namespace'.
diff --git a/source/n/libmilter/libmilter.SlackBuild b/source/n/libmilter/libmilter.SlackBuild
index 81a64f92e..bd43e7764 100755
--- a/source/n/libmilter/libmilter.SlackBuild
+++ b/source/n/libmilter/libmilter.SlackBuild
@@ -26,7 +26,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=libmilter
VERSION=${VERSION:-8.15.2}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-3}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -81,6 +81,8 @@ find -L . \
cat $CWD/site.config.m4 | sed "s,@LIBDIRSUFFIX@,$LIBDIRSUFFIX," \
> devtools/Site/site.config.m4
+zcat $CWD/sendmail-8.15.2-gethostbyname2.patch.gz | patch -p1 --verbose || exit 1
+
mkdir -p $PKG/usr/lib${LIBDIRSUFFIX} $PKG/usr/include/$PKGNAM
make -C $PKGNAM O="$SLKCFLAGS" install DESTDIR=$PKG || exit 1
diff --git a/source/n/libmilter/sendmail-8.15.2-gethostbyname2.patch b/source/n/libmilter/sendmail-8.15.2-gethostbyname2.patch
new file mode 100644
index 000000000..03ff909d3
--- /dev/null
+++ b/source/n/libmilter/sendmail-8.15.2-gethostbyname2.patch
@@ -0,0 +1,39 @@
+diff --git a/libmilter/sm_gethost.c b/libmilter/sm_gethost.c
+index a025c8f..cd0ef31 100644
+--- a/libmilter/sm_gethost.c
++++ b/libmilter/sm_gethost.c
+@@ -49,8 +49,16 @@ sm_getipnodebyname(name, family, flags, err)
+ int flags;
+ int *err;
+ {
+- bool resv6 = true;
+ struct hostent *h;
++# if HAS_GETHOSTBYNAME2
++
++ h = gethostbyname2(name, family);
++ if (h == NULL)
++ *err = h_errno;
++ return h;
++
++# else /* HAS_GETHOSTBYNAME2 */
++ bool resv6 = true;
+
+ if (family == AF_INET6)
+ {
+@@ -60,7 +68,7 @@ sm_getipnodebyname(name, family, flags, err)
+ }
+ SM_SET_H_ERRNO(0);
+ h = gethostbyname(name);
+- if (family == AF_INET6 && !resv6)
++ if (!resv6)
+ _res.options &= ~RES_USE_INET6;
+
+ /* the function is supposed to return only the requested family */
+@@ -75,6 +83,7 @@ sm_getipnodebyname(name, family, flags, err)
+ else
+ *err = h_errno;
+ return h;
++# endif /* HAS_GETHOSTBYNAME2 */
+ }
+
+ void
diff --git a/source/n/libmilter/site.config.m4 b/source/n/libmilter/site.config.m4
index 5e95b2018..1c2202b6e 100644
--- a/source/n/libmilter/site.config.m4
+++ b/source/n/libmilter/site.config.m4
@@ -2,5 +2,6 @@ APPENDDEF(`conf_libmilter_ENVDEF',`-DNETINET6=1')
APPENDDEF(`conf_libmilter_ENVDEF',`-D_FFR_WORKERS_POOL=1 -DMIN_WORKERS=4')
APPENDDEF(`conf_libmilter_ENVDEF',`-DSM_CONF_POLL=1')
APPENDDEF(`conf_libmilter_ENVDEF', `-DMILTER')
-APPENDDEF(`conf_libmilter_ENVDEF', `-D_FFR_MILTER_ROOT_UNSAFE ')
+APPENDDEF(`conf_libmilter_ENVDEF', `-D_FFR_MILTER_ROOT_UNSAFE')
+APPENDDEF(`conf_libmilter_ENVDEF', `-DHAS_GETHOSTBYNAME2')
APPENDDEF(`confLIBDIR', `/usr/lib@LIBDIRSUFFIX@ ')
diff --git a/source/n/nn/nn.SlackBuild b/source/n/nn/nn.SlackBuild
index 880545aeb..9ca6283bf 100755
--- a/source/n/nn/nn.SlackBuild
+++ b/source/n/nn/nn.SlackBuild
@@ -84,6 +84,7 @@ if [ $ARCH = "x86_64" ]; then
zcat $CWD/m-x86_64.h.gz > conf/m-x86_64.h
fi
zcat $CWD/nn.badnntphost.diff.gz | patch -p1 --verbose || exit 1
+zcat $CWD/nn.glibc-2.30.diff.gz | patch -p1 --verbose || exit 1
cat config.h-dist | sed -e "s#m-sparc.h#${MFILE}#" > config.h
make all || exit 1
diff --git a/source/n/nn/nn.glibc-2.30.diff b/source/n/nn/nn.glibc-2.30.diff
new file mode 100644
index 000000000..ed638e242
--- /dev/null
+++ b/source/n/nn/nn.glibc-2.30.diff
@@ -0,0 +1,15 @@
+--- ./term.c.orig 2005-06-29 16:40:27.000000000 -0500
++++ ./term.c 2019-08-19 17:33:19.458203667 -0500
+@@ -25,12 +25,6 @@
+ #include "regexp.h"
+ #include "nn_term.h"
+
+-#if !defined(__FreeBSD__) && !(__NetBSD__) && !defined(NeXT)
+-#include <stropts.h>
+-#else
+-#include <sys/ioctl.h>
+-#endif
+-
+ #ifdef RESIZING
+ #include <sys/ioctl.h> /* for TIOCGWINSZ */
+
diff --git a/source/n/postfix/postfix.SlackBuild b/source/n/postfix/postfix.SlackBuild
index 8651934d5..edb68a50d 100755
--- a/source/n/postfix/postfix.SlackBuild
+++ b/source/n/postfix/postfix.SlackBuild
@@ -28,7 +28,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=postfix
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
@@ -102,6 +102,9 @@ zcat $CWD/postfix.only.warn.regular.files.diff.gz | patch -p1 --verbose || exit
# Make the postfix startup message look more like the other boot notices:
zcat $CWD/postfix.script.starting.message.diff.gz | patch -p1 --verbose || exit 1
+# Fix dropped RES macros with glibc-2.30:
+zcat $CWD/postfix.res-macros-fix.patch.gz | patch -p1 --verbose || exit 1
+
# Postfix does not use a ./configure script (no GNU autoconf)
#
# The AUXLIBS variable is for dynamic library linking, which as of this
diff --git a/source/n/postfix/postfix.res-macros-fix.patch b/source/n/postfix/postfix.res-macros-fix.patch
new file mode 100644
index 000000000..1034c85f7
--- /dev/null
+++ b/source/n/postfix/postfix.res-macros-fix.patch
@@ -0,0 +1,21 @@
+diff --git a/src/dns/dns_str_resflags.c b/src/dns/dns_str_resflags.c
+index 5f2cce5..df32345 100644
+--- a/src/dns/dns_str_resflags.c
++++ b/src/dns/dns_str_resflags.c
+@@ -60,10 +60,16 @@ static const LONG_NAME_MASK resflag_table[] = {
+ "RES_DEFNAMES", RES_DEFNAMES,
+ "RES_STAYOPEN", RES_STAYOPEN,
+ "RES_DNSRCH", RES_DNSRCH,
++#ifdef RES_INSECURE1
+ "RES_INSECURE1", RES_INSECURE1,
++#endif
++#ifdef RES_INSECURE2
+ "RES_INSECURE2", RES_INSECURE2,
++#endif
+ "RES_NOALIASES", RES_NOALIASES,
++#ifdef RES_USE_INET6
+ "RES_USE_INET6", RES_USE_INET6,
++#endif
+ #ifdef RES_ROTATE
+ "RES_ROTATE", RES_ROTATE,
+ #endif
diff --git a/source/n/yptools/ypbind-mt.gettid.diff b/source/n/yptools/ypbind-mt.gettid.diff
new file mode 100644
index 000000000..37496d857
--- /dev/null
+++ b/source/n/yptools/ypbind-mt.gettid.diff
@@ -0,0 +1,22 @@
+--- ./src/log_msg.c.orig 2011-08-31 08:13:22.000000000 -0500
++++ ./src/log_msg.c 2019-08-20 12:44:45.474253136 -0500
+@@ -30,19 +30,6 @@
+ #include "log_msg.h"
+
+ #include <sys/syscall.h>
+-#ifdef __NR_gettid
+-static pid_t
+-gettid (void)
+-{
+- return syscall (__NR_gettid);
+-}
+-#else
+-pid_t
+-gettid (void)
+-{
+- return getpid ();
+-}
+-#endif
+
+ int debug_flag = 0;
+ int logfile_flag = 0;
diff --git a/source/n/yptools/yptools.SlackBuild b/source/n/yptools/yptools.SlackBuild
index ad9323a10..379194278 100755
--- a/source/n/yptools/yptools.SlackBuild
+++ b/source/n/yptools/yptools.SlackBuild
@@ -25,7 +25,7 @@ cd $(dirname $0) ; CWD=$(pwd)
# Package version number:
PKGNAM=yptools
VERSION=2.14
-BUILD=${BUILD:-11}
+BUILD=${BUILD:-12}
YPTOOLS=$VERSION
YPBINDMT=1.38
@@ -77,7 +77,7 @@ mkdir -p $PKG/etc
# Add etc/nsswitch.conf-nis as a full NIS+ example config file:
zcat $CWD/nsswitch.conf-nis.gz > $PKG/etc/nsswitch.conf-nis.new
rm -rf yp-tools-$YPTOOLS
-tar xvf $CWD/yp-tools-$YPTOOLS.tar.bz2 || exit 1
+tar xvf $CWD/yp-tools-$YPTOOLS.tar.?z || exit 1
cd yp-tools-$YPTOOLS || exit 1
zcat $CWD/yp-tools-2.14-glibc217-crypt.diff.gz | patch -p1 --verbose || exit 1
./configure \
@@ -139,8 +139,9 @@ echo "| ypbind-mt-$YPBINDMT |"
echo "+================+"
cd $TMP
rm -rf ypbind-mt-$YPBINDMT
-tar xvf $CWD/ypbind-mt-$YPBINDMT.tar.bz2 || exit 1
+tar xvf $CWD/ypbind-mt-$YPBINDMT.tar.?z || exit 1
cd ypbind-mt-$YPBINDMT || exit 1
+zcat $CWD/ypbind-mt.gettid.diff.gz | patch -p1 --verbose || exit 1
./configure \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
@@ -175,7 +176,7 @@ chmod 644 $PKG/usr/doc/ypbind-mt-$YPBINDMT/*
#echo "+=============+"
#cd $TMP
#rm -rf ypmake-$YPMAKE
-#tar xvf $CWD/ypmake-$YPMAKE.tar.bz2 || exit 1
+#tar xvf $CWD/ypmake-$YPMAKE.tar.?z || exit 1
#cd ypmake-$YPMAKE || exit 1
#./configure
## I'm just not taking chances with the cleanliness of these sources anymore...
@@ -201,7 +202,7 @@ echo "| ypserv-$YPSERV |"
echo "+============+"
cd $TMP
rm -rf ypserv-$YPSERV
-tar xvf $CWD/ypserv-$YPSERV.tar.bz2 || exit 1
+tar xvf $CWD/ypserv-$YPSERV.tar.?z || exit 1
cd ypserv-$YPSERV || exit 1
# --with-ndbm=yes
# Support for this was discontinued upstream